<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<!-- /etc/fonts.conf file to configure system font access -->
<fontconfig>

<!--
	Sample config intended ONLY to be used during install
-->

<!-- where to look for fonts -->

	<dir>/usr/X11R6/lib/X11/fonts</dir>

<!--
  Provide required aliases for standard names
-->
	<alias>
		<family>serif</family>
		<prefer>
			<family>Times New Roman</family>
			<family>Nimbus Roman No9 L</family>
			<family>Luxi Serif</family>
			<family>Times</family>
			<family>Tomas</family>
			<family>Artsounk</family>
			<family>BPG UTF8 M</family>
			<family>Phaisarn</family>
			<family>Phaisarn98</family>
			<family>Norasi</family>
			<family>Times-Hebrew</family>
			<family>Dror</family>
			<family>JG LaoTimes</family>
			<family>Saysettha Unicode</family>
			<family>Pigiarniq</family>
			<family>KacstBook</family>
			<family>Raghindi</family>
			<family>malayalam</family>
			<family>MS Mincho</family>
			<family>MS Song</family>
			<family>Kochi Mincho</family>
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
			<family>Baekmuk Batang</family>			
			<family>TSC_Avarangal</family>
		</prefer>
	</alias>
	<alias>
		<family>sans-serif</family>
		<prefer>
			<family>Arial</family>
			<family>Luxi Sans</family>
			<family>Nimbus Sans L</family>
			<family>Helvetica</family>
			<family>Arija</family>
			<family>Verdana</family>
			<family>Lucida Sans Unicode</family>
			<family>Tahoma</family>
			<family>Yudit Unicode</family>
			<family>Kerkis</family>
			<family>ArmNet Helvetica</family>
			<family>Artsounk</family>
			<family>BPG UTF8 M</family>
			<family>Norasi</family>
			<family>Nachlieli</family>
			<family>Saysettha Unicode</family>
			<family>JG Lao Old Arial</family>
			<family>GF Zemen Unicode</family>
			<family>Pigiarniq</family>
			<family>KacstBook</family>
			<family>Urdu Naqsh Nastalique</family>
			<family>Raghindi</family>
			<family>malayalam</family>
			<family>Teams</family>
			<family>MS Gothic</family>
			<family>Kochi Gothic</family>
			<family>Kochi Gothic</family>
			<family>AR PL KaitiM GB</family>
			<family>AR PL KaitiM Big5</family>
			<family>Baekmuk Gulim</family>
			<family>SimSun</family>
			<family>TSC_Avarangal</family>
		</prefer>
	</alias>
	<alias>
		<family>monospace</family>
		<prefer>
			<family>Andale Mono</family>
			<family>Courier New</family>
			<family>Luxi Mono</family>
			<family>Nimbus Mono L</family>
			<family>Courier</family>
			<family>Kurjeris</family>
			<family>Courier MonoThai</family>
			<family>Courier-Hebrew</family>
			<family>Hasida</family>
			<family>GF Zemen Unicode</family>
			<family>Kochi Gothic</family>
			<family>MS Gothic</family>
			<family>AR PL SungtiL GB</family>
			<family>AR PL Mingti2L Big5</family>
			<family>Baekmuk Dotum</family>
			<family>TSC_AvarangalFxd</family>
		</prefer>
	</alias>

<!-- 
 Artificial oblique for fonts without an italic or oblique version
 -->
 
	<match target="font">
		<!-- check to see if the font is roman -->
		<test name="slant">
			<const>roman</const>
		</test>
		<!-- check to see if the pattern requested non-roman -->
		<test target="pattern" name="slant" compare="not_eq">
			<const>roman</const>
		</test>
		<!-- multiply the matrix to slant the font -->
		<edit name="matrix" mode="assign">
			<times>
				<name>matrix</name>
				<matrix><double>1</double><double>.2</double>
					<double>0</double><double>1</double>
				</matrix>
			</times>
		</edit>
		<!-- pretend the font is oblique now -->
		<edit name="slant" mode="assign">
			<const>oblique</const>
		</edit>
	</match>

	<config>
<!--
  These are the default Unicode chars that are expected to be blank
  in fonts.  All other blank chars are assumed to be broken and
  won't appear in the resulting charsets
 -->
		<blank>
			<int>0x20</int>		<!-- space -->
			<int>0xa0</int>		<!-- nsbp  -->
			<int>0x2000</int>	<!-- general punctuation spaces -->
			<int>0x2001</int>
			<int>0x2002</int>
			<int>0x2003</int>
			<int>0x2004</int>
			<int>0x2005</int>
			<int>0x2005</int>
			<int>0x2006</int>
			<int>0x2007</int>
			<int>0x2008</int>
			<int>0x2009</int>
			<int>0x200a</int>
			<int>0x200b</int>
			<int>0x3000</int>	<!-- CJK space -->
		</blank>
<!--
  Rescan configuration every 30 seconds when FcFontSetList is called
 -->
		<rescan>
			<int>30</int>
		</rescan>
	</config>

</fontconfig>
